Class | YARD::CodeObjects::CodeObjectList
In: | lib/yard/code_objects/base.rb
Parent: | Array

A list of code objects. This array acts like a set (no unique items) but also disallows any {Proxy} objects from being added.

### Methods

<< new push

### Public Class methods

new(owner = Registry.root)

Creates a new object list associated with a namespace

@param [NamespaceObject] owner the namespace the list should be associated with @return [CodeObjectList]

### Public Instance methods

<<(value)

Alias for push

push(value)

Adds a new value to the list

@param [Base] value a code object to add @return [CodeObjectList] self

[Validate]